Skip to main content
POST
/
api
/
v2
/
perp
/
order
POST /api/v2/perp/order — Place a perpetual order
curl --request POST \
  --url https://api.shuriken.trade/api/v2/perp/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "coin": "<string>",
  "isBuy": true,
  "walletId": "<string>",
  "cloid": "<string>",
  "grouping": "<string>",
  "limitPx": "<string>",
  "orderType": "<string>",
  "reduceOnly": true,
  "sizeUsd": "<string>",
  "sl": {
    "triggerPx": "<string>",
    "isMarket": true,
    "limitPx": "<string>"
  },
  "sz": "<string>",
  "tp": {
    "triggerPx": "<string>",
    "isMarket": true,
    "limitPx": "<string>"
  }
}
'
import requests

url = "https://api.shuriken.trade/api/v2/perp/order"

payload = {
    "coin": "<string>",
    "isBuy": True,
    "walletId": "<string>",
    "cloid": "<string>",
    "grouping": "<string>",
    "limitPx": "<string>",
    "orderType": "<string>",
    "reduceOnly": True,
    "sizeUsd": "<string>",
    "sl": {
        "triggerPx": "<string>",
        "isMarket": True,
        "limitPx": "<string>"
    },
    "sz": "<string>",
    "tp": {
        "triggerPx": "<string>",
        "isMarket": True,
        "limitPx": "<string>"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    coin: '<string>',
    isBuy: true,
    walletId: '<string>',
    cloid: '<string>',
    grouping: '<string>',
    limitPx: '<string>',
    orderType: '<string>',
    reduceOnly: true,
    sizeUsd: '<string>',
    sl: {triggerPx: '<string>', isMarket: true, limitPx: '<string>'},
    sz: '<string>',
    tp: {triggerPx: '<string>', isMarket: true, limitPx: '<string>'}
  })
};

fetch('https://api.shuriken.trade/api/v2/perp/order', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "results": [
      {
        "status": "<string>",
        "cloid": "<string>",
        "error": "<string>",
        "oid": 1
      }
    ]
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Body

application/json
coin
string
required
isBuy
boolean
required
walletId
string
required
cloid
string | null
grouping
string
limitPx
string | null
orderType
string
reduceOnly
boolean
sizeUsd
string | null
sl
object | null
sz
string | null
tp
object | null

Response

Order result

V2 success response envelope

data
object
required
requestId
string
required
pagination
object | null

Page-based pagination info (per RFC)